#
# spec file for package asterisk16-addons (Version 1.6.0.5)
#
#

# norootforbuild

%define		origname	asterisk-addons

Name:           asterisk16-addons
BuildRequires:  alsa-devel curl-devel expat gcc-c++ libgsm-devel libpri libtiff-devel libspandsp2 speex-devel unixODBC-devel wget postgresql91-devel
BuildRequires: libpri >= 1.4.1
BuildRequires: dahdi-linux-kmp-default dahdi-linux dahdi-linux-devel dahdi-tools libtonezone-devel
%if 0%{?sles_version} > 10
BuildRequires: mISDNuser
%else
BuildRequires: mISDN mISDNuser
%endif
BuildRequires: alsa-lib-devel
BuildRequires: bison
BuildRequires: bluez-libs
BuildRequires: doxygen
BuildRequires: libogg-devel
BuildRequires: termcap
BuildRequires: libvorbis-devel
BuildRequires: m4
BuildRequires: ncurses-devel
BuildRequires: net-snmp-devel
BuildRequires: newt-devel
BuildRequires: openssl-devel bluez-libs
BuildRequires: libspandsp2 libspandsp-devel
BuildRequires: autoconf openldap2 openldap2-devel
Buildrequires: iksemel unixODBC termcap asterisk16-devel >= 1.6.0
Buildrequires: mysql mysql-client mysql-devel
%if 0%{?suse_version} >= 1110
BuildRequires: bluez-devel
%endif

Requires: newt ncurses postgresql-libs speex openldap2 asterisk16 

%ifnarch s390 s390x
BuildRequires: dahdi-linux-kmp-default dahdi-linux dahdi-linux-devel dahdi-tools libtonezone-devel
%endif

URL:            http://www.asterisk.org
Summary:        The Asterisk Open Source PBX
Version:        1.6.0.5
Release:        3.48
License:        BSD License and BSD-like, GNU General Public License (GPL)
Group:          Productivity/Telephony/Servers
Source0:	%{origname}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build


%description
Asterisk is a complete PBX in software. It runs on Linux and provides  
all of the features you would expect from a PBX and more. Asterisk  
does voice over IP in three protocols, and can interoperate with  
almost all standards-based telephony equipment using relatively  
inexpensive hardware.  
This package contains additional addons for asterisk.  



Authors:
--------
    Mark Spencer <markster@digium.com>

BuildRequires: cyrus-sasl-devel
BuildRequires: openh323-devel
BuildRequires: openldap-devel
BuildRequires: SDL-devel

%prep
%setup -n %{origname}-%{version}


%build
./bootstrap.sh
%configure --prefix=/usr --libdir=%{_libdir}
%{__make} menuselect.makeopts
%{__make} %{?_smp_mflags} DESTDIR=%{buildroot} libdir=%{_libdir}


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_libdir}/asterisk/modules/
%{__make} install DESTDIR=%{buildroot} libdir=%{_libdir}
%{__make} samples DESTDIR=%{buildroot} libdir=%{_libdir}


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%config(noreplace)%attr(640,asterisk,root)/etc/asterisk/cdr_mysql.conf
%config(noreplace)%attr(640,asterisk,root)/etc/asterisk/mobile.conf
%config(noreplace)%attr(640,asterisk,root)/etc/asterisk/res_mysql.conf
%config(noreplace)%attr(640,asterisk,root)/etc/asterisk/ooh323.conf
%config(noreplace)%attr(640,asterisk,root)/etc/asterisk/mysql.conf
%{_libdir}/asterisk/modules/app_addon_sql_mysql.so
%{_libdir}/asterisk/modules/app_saycountpl.so
%{_libdir}/asterisk/modules/cdr_addon_mysql.so
%{_libdir}/asterisk/modules/chan_mobile.so
%{_libdir}/asterisk/modules/chan_ooh323.so
%{_libdir}/asterisk/modules/format_mp3.so
%{_libdir}/asterisk/modules/res_config_mysql.so


%changelog -n asterisk16-addons
* Wed Jun 02 2010 Carsten Schoene <cs@linux-administrator.com> - 1.6.0.5-1
- update to release 1.6.0.5

* Wed Dec 16 2009 Carsten Schoene <cs@linux-administrator.com> - 1.6.0.4-1
- update to release 1.6.0.4

* Fri Jul 24 2009 Carsten Schoene <cs@linux-administrator.com> - 1.6.0.3-1
- update to release 1.6.0.3

* Thu May 21 2009 Carsten Schoene <cs@linux-administrator.com> - 1.6.0.2-1
- update to release 1.6.0.2
 - fix potential crash issue in ooh323 channel driver
 - resolve a couple of minor issues with cdr_addon_mysql

* Sun Jan 11 2009 Carsten Schoene <cs@linux-administrator.com> - 1.6.0.1
- update to release 1.6.0.1
* Fri Apr 04 2008 - vittorio@vitsoft.bz
- New release asterisk-addons 1.6-beta3
* Mon Mar 03 2008 - vittorio@vitsoft.bz
- New release asterisk-addons 1.6-beta2
* Mon Jan 21 2008 - vittorio@vitsoft.bz
- Modified for asterisk-addons 1.6.0
- Modified for new asterisk-addons options
